texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[5239] Add an auto option for change_perl_modules_version.sh to have a


From: Patrice Dumas
Subject: [5239] Add an auto option for change_perl_modules_version.sh to have a
Date: Thu, 14 Mar 2013 23:23:11 +0000

Revision: 5239
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5239
Author:   pertusus
Date:     2013-03-14 23:23:11 +0000 (Thu, 14 Mar 2013)
Log Message:
-----------
Add an auto option for change_perl_modules_version.sh to have a 
better standalone script.

Modified Paths:
--------------
    trunk/tp/maintain/change_perl_modules_version.sh
    trunk/tp/maintain/prepare_perl_module_files.sh

Modified: trunk/tp/maintain/change_perl_modules_version.sh
===================================================================
--- trunk/tp/maintain/change_perl_modules_version.sh    2013-03-14 23:22:01 UTC 
(rev 5238)
+++ trunk/tp/maintain/change_perl_modules_version.sh    2013-03-14 23:23:11 UTC 
(rev 5239)
@@ -1,7 +1,13 @@
 #! /bin/sh
 
 VERS=$1
-[ z"$VERS" = "z" ] && exit 1;
+if test z"$VERS" = "zauto" ; then 
+  VERS=`grep '^VERSION = ' Makefile | sed 's/^VERSION = *//'` 
+fi
+if test z"$VERS" = "z" ; then
+  exit 1
+fi
+ 
 
 #find Texinfo/ -name '*.pm' | xargs sed -i -e 's/\$VERSION = 
'"'"'\([0-9.]\+\)'"'"'/$VERSION = '"'$VERS'"'/'
 find Texinfo/ -name '*.pm' | xargs perl -pi -e 's/\$VERSION = 
'"'"'([0-9.]+)'"'"'/\$VERSION = '"'$VERS'"'/'

Modified: trunk/tp/maintain/prepare_perl_module_files.sh
===================================================================
--- trunk/tp/maintain/prepare_perl_module_files.sh      2013-03-14 23:22:01 UTC 
(rev 5238)
+++ trunk/tp/maintain/prepare_perl_module_files.sh      2013-03-14 23:23:11 UTC 
(rev 5239)
@@ -1,13 +1,17 @@
 #! /bin/sh
 
+set -e
+
 # Regenerate files required for perl
 
+./maintain/change_perl_modules_version.sh auto
+
 # This regenerate files in t/include_dir/
 make
 PACKAGE=`grep '^PACKAGE = ' Makefile | sed 's/^PACKAGE = //'`
-[ z"$PACKAGE" = 'z' ] && exit 1
-VERSION=`grep '^VERSION = ' Makefile | sed 's/^VERSION = *//'`
-[ z"$VERSION" = 'z' ] && exit 1
+if test z"$PACKAGE" = 'z' ; then 
+  exit 1
+fi
 # LocaleData are also generated through Makefile.docstr.  Here we want
 # them to be generated by the Makefile in po*/ to test that it works.
 rm -rf LocaleData
@@ -32,7 +36,6 @@
 
 find LocaleData po_document po t/include_dir -type f | sort > 
maintain/MANIFEST_generated_files
 make MANIFEST
-./maintain/change_perl_modules_version.sh $VERSION
 cp -p ../COPYING .
 sed 's/\(my \$hardcoded_version = \).*/\1 undef;/' texi2any.pl > texi2any
 chmod a+x texi2any




reply via email to

[Prev in Thread] Current Thread [Next in Thread]